Status: In Progress Start date: 14 Sep 2020

Priority: Low Due date:  

Assignee:  % Done: 10%

Category: EmacsUI Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.45 hour

Description

Bernhard Andraschko reports the following anomaly.

Inside a package variables are indented, but all other package contents align to column 0 (while maintaining any internal

indentation).

Package $berni

export Foo;

Define Foo()

  return;

EndDefine;

  MyVariable := "";

EndPackage;

 

Is this intentional?

History

#1 - 14 Sep 2020 18:19 - John Abbott

- Priority changed from Normal to Low

JAA is uncertain about this.

On the one hand the "strange" indentation of package variable assignments highlights the fact that it is not a normal top level variable;

on the other hand it does look strange given that functions are not similarly indented (and the fns are not top level unless exported).

Any opinions?

#2 - 28 Sep 2020 15:08 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

I suspect that the relevant part to be changed is the defn of cocoa5-beg-block-re around line 286 in cocoa5.el.

We can try removing package from this regexp.

#3 - 12 Nov 2021 11:19 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2
